Package org.eclipse.zest.layouts.dataStructures

# Class InternalRelationship

java.lang.Object
org.eclipse.zest.layouts.dataStructures.InternalRelationship

All Implemented Interfaces:
  `LayoutItem`, `LayoutRelationship`

@Deprecated(since="2.0", forRemoval=true) public class InternalRelationship extends Object implements LayoutRelationship
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This class will be removed in a future release.

@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This class is not intended to be referenced by clients.
@noinstantiate
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`InternalRelationship(LayoutRelationship externalRelationship, InternalNode source, InternalNode destination)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`addBendPoint(double x, double y)`
Deprecated.
`void`
`addBendPoint(double x, double y, boolean isControlPoint)`
Deprecated.
`void`
`clearBendPoints()`
Deprecated.
`List`
`getBendPoints()`
Deprecated.
`InternalNode`
`getDestination()`
Deprecated.
`LayoutEntity`
`getDestinationInLayout()`
Deprecated.
`Object`
`getGraphData()`
Deprecated.
`Object`
`getLayoutInformation()`
Deprecated.
`LayoutRelationship`
`getLayoutRelationship()`
Deprecated.
`InternalNode`
`getSource()`
Deprecated.
`LayoutEntity`
`getSourceInLayout()`
Deprecated.
`double`
`getWeight()`
Deprecated.
`boolean`
`isBidirectional()`
Deprecated.
`void`
`populateLayoutConstraint(LayoutConstraint constraint)`
Deprecated.
`void`
`setBendPoints(LayoutBendPoint[] bendPoints)`
Deprecated.
`void`
`setGraphData(Object o)`
Deprecated.
`void`
`setLayoutInformation(Object layoutInformation)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InternalRelationship

@Deprecated public InternalRelationship(LayoutRelationship externalRelationship, InternalNode source, InternalNode destination)
Deprecated.

## Method Details

### getLayoutRelationship

@Deprecated public LayoutRelationship getLayoutRelationship()
Deprecated.

### getSource

@Deprecated public InternalNode getSource()
Deprecated.

### getDestination

@Deprecated public InternalNode getDestination()
Deprecated.

### getWeight

@Deprecated public double getWeight()
Deprecated.

### isBidirectional

@Deprecated public boolean isBidirectional()
Deprecated.

### addBendPoint

@Deprecated public void addBendPoint(double x, double y)
Deprecated.
Ensure this is called in order of source to target node position.

Parameters:
  `x` -
  `y` -

### addBendPoint

@Deprecated public void addBendPoint(double x, double y, boolean isControlPoint)
Deprecated.
Ensure this is called in order of source to target node position. Specifies if the bendpoint is a curve control point

Parameters:
  `x` -
  `y` -
  `isControlPoint` -

### getBendPoints

@Deprecated public List getBendPoints()
Deprecated.

### clearBendPoints

@Deprecated public void clearBendPoints()
Deprecated.
Description copied from interface: `LayoutRelationship`
Clear bend points and related bounds If you are updating an existing application you can just implement this method to do nothing.

Specified by:
  `clearBendPoints` in interface `LayoutRelationship`

### getDestinationInLayout

@Deprecated public LayoutEntity getDestinationInLayout()
Deprecated.
Description copied from interface: `LayoutRelationship`
Gets the destinationEntity of this SimpleRelation whether the relation is exchangeable or not.

Specified by:
  `getDestinationInLayout` in interface `LayoutRelationship`
Returns:
  The destinationEntity of this SimpleRelation.

### getLayoutInformation

@Deprecated public Object getLayoutInformation()
Deprecated.
Description copied from interface: `LayoutRelationship`
Returns the internal relationship object.

Specified by:
  `getLayoutInformation` in interface `LayoutRelationship`
Returns:
  Object

### getSourceInLayout

@Deprecated public LayoutEntity getSourceInLayout()
Deprecated.
Description copied from interface: `LayoutRelationship`
Gets the sourceEntity of this SimpleRelation whether the relation is exchangeable or not.

Specified by:
  `getSourceInLayout` in interface `LayoutRelationship`
Returns:
  The sourceEntity.

### populateLayoutConstraint

@Deprecated public void populateLayoutConstraint(LayoutConstraint constraint)
Deprecated.
Description copied from interface: `LayoutRelationship`
Classes should update the specified layout constraint if recognized

Specified by:
  `populateLayoutConstraint` in interface `LayoutRelationship`

### setBendPoints

@Deprecated public void setBendPoints(LayoutBendPoint[] bendPoints)
Deprecated.
Description copied from interface: `LayoutRelationship`
Specify a set of bend points. The layout algorithm using this will pass in an empty array of bendPoints, or not even call this method, if there are no bend points associated with this edge. If you are updating an existing application you can just implement this method to do nothing.

Specified by:
  `setBendPoints` in interface `LayoutRelationship`
Parameters:
  `bendPoints` - A list of bend points. All bendpoint locations are expressed as percentages of the bounds (0,0 to 1,1).The first bendpoint in the list must be the source point of this relationship and the last bendpoint the destination point for this relationship. This allows the correct positioning of bendpoints relative to the source and destination points when drawing the graph.

### setLayoutInformation

@Deprecated public void setLayoutInformation(Object layoutInformation)
Deprecated.
Description copied from interface: `LayoutRelationship`
Sets the internal relationship object.

Specified by:
  `setLayoutInformation` in interface `LayoutRelationship`
Parameters:
  `layoutInformation` -

### getGraphData

@Deprecated public Object getGraphData()
Deprecated.

Specified by:
  `getGraphData` in interface `LayoutItem`

### setGraphData

@Deprecated public void setGraphData(Object o)
Deprecated.

Specified by:
  `setGraphData` in interface `LayoutItem`